%define upstream_name     Data-ICal
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generates iCalendar (RFC 2445) calendar files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/Data-ICal/
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::vFile::asData)
BuildArch:  noarch

# rpm doesn't catch this
Requires:   perl(Class::Accessor)
%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%makeinstall_std

#make pure_install PERL_INSTALL_ROOT=%{buildroot}

#find %{buildroot} -type f -name .packlist -exec rm -f {} \;
#find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#chmod -R u+w %{buildroot}/*

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-3.mga6
+ Revision: 1024809
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.220.0-2.mga6
+ Revision: 967242
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 848521
- update to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 740194
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 684206
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 537029
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 486184
- update to 0.21

  + jquelin <jquelin>
    - update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 365360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.190.0-1.mga3
+ Revision: 336055
- Update to 0.19

* Mon Dec 12 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 180860
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 29580
- mageia rebuild
- imported package perl-Data-ICal


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 395131
- update to 0.16
- using %%perl_convert_version

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 347686
- new version

* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2009.1
+ Revision: 309996
- import perl-Data-ICal


* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2009.0
- initial Mandriva package (fedora import)

* Fri Sep 12 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-3
- Fix minor typo in spec.

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-2
- Clean up spec.
- Fedora submission.

* Mon Aug 11 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Specfile autogenerated by cpanspec 1.77.
